
Figure - Bug #116083
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】文件小窗-获取信息、排序方式页面，内容显示异常
2023-02-08 15:58 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-08

Priority: Normal Due date: 2023-03-14

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101(X101)

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 造成蓝色背景的原因是由于小窗的背景覆盖了应用内部的背景色导致的

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开文件小窗

2、右上角设置按钮-获取信息、排序方式页面

【预期结果】

2、页面显示正常，内容完整

【实际结果】

2、小窗下半部分为蓝色背景，无内容

【复现率】

3/3

History

#1 - 2023-02-08 16:05 - CD TEST-方永红

- File 1559.png added

- Subject changed from 【AF】【EVT】【小窗模式】文件小窗-获取信息页面，内容显示异常 to 【AF】【EVT】【小窗模式】文件小窗-获取信息、排序方

式页面，内容显示异常

- Description updated

#2 - 2023-02-17 10:27 - CD TPM-王祥林

- Target version set to VC1_FSE_0078_20230228

#3 - 2023-02-27 11:30 - CD FW-鲁凯峰

■ Current conclusion

该bug目前比较难处理

■ My analysis

困难点1:

造成蓝色背景的原因是由于小窗的背景覆盖了应用内部的背景色导致的,小窗的背景色目前还没有好的办法重新实现,它会影响到所有界面的背景色
困难点2:

排除小窗背景色的影响,还有另外一个问题.

文件管理的排序方式实现方式是使用的Google#BottomSheetDialog,从目前的分析来看该Dialog没有对freeform进行优化,导致它的蒙层显示异常.

由于没有BottomSheetDialog的源码,处理起来比较困难,目前的想法是换另外的方式来实现,比较费时

■ Next Action

将计划日期往后推迟

#4 - 2023-02-27 13:55 - CD FW 曹覃刚

- Target version changed from VC1_FSE_0078_20230228 to VX1_MCE_FSE_0082_20230314

已与TPM沟通

因需要修改小窗背景的共通问题，以及本身文件应用的UI适配，将推迟修复计划到0314

#5 - 2023-02-28 10:27 - CD FW-鲁凯峰

- Due date set to 2023-03-14

#6 - 2023-03-07 13:39 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_0082_20230314 to VC1_FSE_0082_20230314

#7 - 2023-03-10 10:00 - CD FW-鲁凯峰

■ Current conclusion

目前小窗的背景色影响已经修复,还剩下蒙层显示异常的未解决

■ My analysis

■ Next Action

继续分析蒙层显示异常问题

#8 - 2023-03-13 13:38 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 造成蓝色背景的原因是由于小窗的背景覆盖了应用内部的背景色导致的

■ Current conclusion

目前小窗的背景色影响已经修复, 蒙层的问题和需求PM沟通后,可以接受,暂时不需要修改

■ My analysis

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/186040

#9 - 2023-03-14 16:36 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100
- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101(X101)

3.14

验证通过

#10 - 2023-03-14 16:36 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1551.png 166 KB 2023-02-08 CD TEST-方永红

1559.png 185 KB 2023-02-08 CD TEST-方永红
